/**
 * Default 部件模型
 *
 * @export
 * @class DefaultModel
 */
export default class DefaultModel {

  /**
    * 获取数据项集合
    *
    * @returns {any[]}
    * @memberof DefaultModel
    */
  public getDataItems(): any[] {
    return [
      {
        name: 'updatedate',
      },
      {
        name: 'userroledetail',
        prop: 'userroledetailid',
      },
      {
        name: 'updateman',
      },
      {
        name: 'createdate',
      },
      {
        name: 'userroledetailname',
      },
      {
        name: 'createman',
      },
      {
        name: 'enable',
      },
      {
        name: 'userobjectname',
      },
      {
        name: 'userrolename',
      },
      {
        name: 'userobjectid',
      },
      {
        name: 'userroleid',
      },
    ]
  }


}