/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'userroledetailid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'userroledetailname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'userroledetailname',
        prop: 'userroledetailname',
        dataType: 'TEXT',
      },
      {
        name: 'userrolename',
        prop: 'userrolename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'userobjectname',
        prop: 'userobjectname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'createman',
        prop: 'createman',
        dataType: 'TEXT',
      },
      {
        name: 'createdate',
        prop: 'createdate',
        dataType: 'DATETIME',
      },
      {
        name: 'updateman',
        prop: 'updateman',
        dataType: 'TEXT',
      },
      {
        name: 'updatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'userobjectid',
        prop: 'userobjectid',
        dataType: 'PICKUP',
      },
      {
        name: 'userroledetailid',
        prop: 'userroledetailid',
        dataType: 'GUID',
      },
      {
        name: 'userroleid',
        prop: 'userroleid',
        dataType: 'PICKUP',
      },
      {
        name: 'userroledetail',
        prop: 'userroledetailid',
        dataType: 'FONTKEY',
      },
    ]
  }

}